package com.ruoyi.tc.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.po.AssetMiniProgramsCpPo;
import com.ruoyi.tc.mapper.AssetMiniProgramsCpMapper;
import com.ruoyi.tc.service.AssetMiniProgramsCpService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 小程序资产(asset_mini_programs_cp)表服务实现类
 *
 * @author makejava
 * @since 2024-11-28 17:13:07
 */
@Service("assetMiniProgramsCpService")
public class AssetMiniProgramsCpServiceImpl extends ServiceImpl<AssetMiniProgramsCpMapper, AssetMiniProgramsCpPo> implements AssetMiniProgramsCpService {

    @Resource
    private  AssetMiniProgramsCpMapper assetMiniProgramsCpMapper;
    @Override
    public void deletByAssetIdandTaskId(Long assetId, Integer taskId) {

        assetMiniProgramsCpMapper.deletByAssetIdandTaskId(assetId,taskId);

    }

    @Override
    public void deletByAssetId(Long assetId) {
        assetMiniProgramsCpMapper.deletByAssetId(assetId);
    }

    @Override
    public AssetMiniProgramsCpPo findByTaskId(int assetId,int taskId) {
        return assetMiniProgramsCpMapper.findByTaskId(assetId,taskId);
    }

    @Override
    public void updateByAssetId(Integer assetId, Integer taskId, String btgyy,Integer newThcs) {
        assetMiniProgramsCpMapper.updateByAssetId(assetId,taskId,btgyy,newThcs);
    }

    @Override
    public AssetMiniProgramsCpPo findByassetIdandTaskId(Integer assetId, Integer taskId) {
        return assetMiniProgramsCpMapper.findByassetIdandTaskId(assetId,taskId);
    }


    @Override
    public     List<AssetMiniProgramsCpPo>  findDwmc(Long id) {
        return assetMiniProgramsCpMapper.findDwmc(id);
    }
}
